####
# Example of what CKEditor can all bring
###

# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }
  # Import the image plugin configuration
  - { resource: "EXT:rte_ckeditor_image/Configuration/RTE/Plugin.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss:
     - "EXT:rte_ckeditor/Resources/Public/Css/contents.css"
     - "EXT:fluidbootstrap/Resources/Public/Backend/Rte/Rte.css"
     - "/Resources/Public/Stylesheets/Css/Fonts.css"
     - "/Resources/Public/Stylesheets/Css/Configuration.css"

    allowedContent: true

    extraAllowedContent:
      - dd
      - dl
      - dt

    stylesSet:
      # block level styles
      - { name: "Normal", element: ["h1","h2","h3", "h4","h5", "h6","p"] , attributes: {class:} }
      - { name: "Ohne Abstand", element: ["h1","h2","h3", "h4","h5","h6","p"] , attributes: {class: "text-no-margin"} }
      - { name: "Kleiner Abstand", element: ["h1","h2","h3", "h4","h5","h6","p"] , attributes: {class: "text-margin-small"} }
      - { name: "Mit  Bild davor gold", element: ["h1","h2","h3", "h4","h5","h6","p"] , attributes: {class: "with-image-gold"} }
      - { name: "Mit  Bild davor blau", element: ["h1","h2","h3", "h4","h5","h6","p"] , attributes: {class: "with-image-blue"} }
      - { name: "h1-style", element: "p", attributes: { 'class': 'h1' } }
      - { name: "h2-style", element: "p", attributes: { 'class': 'h2' } }
      - { name: "h3-style", element: "p", attributes: { 'class': 'h3' } }
      - { name: "h4-style", element: "p", attributes: { 'class': 'h4' } }
      - { name: "h5-style", element: "p", attributes: { 'class': 'h5' } }
      - { name: "h6-style", element: "p", attributes: { 'class': 'h6' } }
      - { name: "Button: weiß", element: "a" , attributes: {class: "btn btn-white"} }
      - { name: "Button: color-1", element: "a" , attributes: {class: "btn btn-color-1"} }
      - { name: "Button: color-2", element: "a" , attributes: {class: "btn btn-color-2"} }
      - { name: "Button: color-3", element: "a" , attributes: {class: "btn btn-color-3"} }
      - { name: "Button: color-4", element: "a" , attributes: {class: "btn btn-color-4"} }
      - { name: "Button: color-5", element: "a" , attributes: {class: "btn btn-color-5"} }
      - { name: "Button: color-6", element: "a" , attributes: {class: "btn btn-color-6"} }
      - { name: "Button: color-7", element: "a" , attributes: {class: "btn btn-color-7"} }
      - { name: "Button: color-8", element: "a" , attributes: {class: "btn btn-color-8"} }
      - { name: "Button: color-9", element: "a" , attributes: {class: "btn btn-color-9"} }
      - { name: "Button: color-10", element: "a" , attributes: {class: "btn btn-color-10"} }
      - { name: "Button: color-11", element: "a" , attributes: {class: "btn btn-color-11"} }
      - { name: "Button: color-12", element: "a" , attributes: {class: "btn btn-color-12"} }
      - { name: "Button: rund color-1", element: "a" , attributes: {class: "btn btn-color-1 btn-round"} }
      - { name: "Button: rund color-2", element: "a" , attributes: {class: "btn btn-color-2 btn-round"} }
      - { name: "Button: rund color-3", element: "a" , attributes: {class: "btn btn-color-3 btn-round"} }
      - { name: "Button: rund color-4", element: "a" , attributes: {class: "btn btn-color-4 btn-round"} }
      - { name: "Button: rund color-5", element: "a" , attributes: {class: "btn btn-color-5 btn-round"} }
      - { name: "Button: rund color-6", element: "a" , attributes: {class: "btn btn-color-6 btn-round"} }
      - { name: "Button: rund color-7", element: "a" , attributes: {class: "btn btn-color-7 btn-round"} }
      - { name: "Button: rund color-8", element: "a" , attributes: {class: "btn btn-color-8 btn-round"} }
      - { name: "Button: rund color-9", element: "a" , attributes: {class: "btn btn-color-9 btn-round"} }
      - { name: "Button: rund color-10", element: "a" , attributes: {class: "btn btn-color-10 btn-round"} }
      - { name: "Button: rund color-11", element: "a" , attributes: {class: "btn btn-color-11 btn-round"} }
      - { name: "Button: rund color-12", element: "a" , attributes: {class: "btn btn-color-12 btn-round"} }

      # Text styles
      - { name: "Schriftart: Special", element: "span", attributes: { class: "font-special" } }
      - { name: "Schriftart: Regular", element: "span", attributes: { class: "font-regular" } }
      - { name: "Light", element: "span", attributes: { class: "light" } }
      - { name: "Medium", element: "span", attributes: { class: "medium" } }
      - { name: "Semibold", element: "span", attributes: { class: "semibold" } }
      - { name: "Extrabold", element: "span", attributes: { class: "black" } }
      - { name: "Textfarbe: weiß", element: "span", attributes: { class: "text-color-white" } }
      - { name: "Textfarbe: default", element: "span", attributes: { class: "text-default" } }
      - { name: "Textfarbe: color-1", element: "span", attributes: { class: "text-color-1" } }
      - { name: "Textfarbe: color-2", element: "span", attributes: { class: "text-color-2" } }
      - { name: "Textfarbe: color-3", element: "span", attributes: { class: "text-color-3" } }
      - { name: "Textfarbe: color-4", element: "span", attributes: { class: "text-color-4" } }
      - { name: "Textfarbe: color-5", element: "span", attributes: { class: "text-color-5" } }
      - { name: "Textfarbe: color-6", element: "span", attributes: { class: "text-color-6" } }
      - { name: "Textfarbe: color-7", element: "span", attributes: { class: "text-color-7" } }
      - { name: "Textfarbe: color-8", element: "span", attributes: { class: "text-color-8" } }
      - { name: "Textfarbe: color-9", element: "span", attributes: { class: "text-color-9" } }
      - { name: "Textfarbe: color-10", element: "span", attributes: { class: "text-color-10" } }
      - { name: "Textfarbe: color-11", element: "span", attributes: { class: "text-color-11" } }
      - { name: "Textfarbe: color-12", element: "span", attributes: { class: "text-color-12" } }
      - { name: "h1-inline", element: "span", attributes: { 'class': 'h1' } }
      - { name: "h2-inline", element: "span", attributes: { 'class': 'h2' } }
      - { name: "h3-inline", element: "span", attributes: { 'class': 'h3' } }
      - { name: "h4-inline", element: "span", attributes: { 'class': 'h4' } }
      - { name: "h5-inline", element: "span", attributes: { 'class': 'h5' } }
      - { name: "h6-inline", element: "span", attributes: { 'class': 'h6' } }
      - { name: "Lowercase", element: "span", attributes: { 'class': 'text-lowercase' } }
      - { name: "Uppercase", element: "span", attributes: { 'class': 'text-uppercase' } }
      - { name: "Capitalize", element: "span", attributes: { 'class': 'text-capitalize' } }

      #Tabellen
      - { name: "Table: Standard", element: "table", attributes: { 'class': 'table table-borderless' } }
      - { name: "Table: Mouseover", element: "table", attributes: { 'class': 'table table-hover' } }
      - { name: "Table: Zebra", element: "table", attributes: { 'class': 'table table-striped' } }
      - { name: "Table: Rahmen", element: "table", attributes: { 'class': 'table table-bordered' } }

      # Tabellen-Zeilen
      - { name: "Zeile: bg-color-1", element: "tr", attributes: { 'class': 'bg-color-1' } }
      - { name: "Zeile: bg-color-2", element: "tr", attributes: { 'class': 'bg-color-2' } }
      - { name: "Zeile: bg-color-3", element: "tr", attributes: { 'class': 'bg-color-3' } }
      - { name: "Zeile: bg-color-4", element: "tr", attributes: { 'class': 'bg-color-4' } }
      - { name: "Zeile: bg-color-5", element: "tr", attributes: { 'class': 'bg-color-5' } }
      - { name: "Zeile: bg-color-6", element: "tr", attributes: { 'class': 'bg-color-6' } }
      - { name: "Zeile: bg-color-7", element: "tr", attributes: { 'class': 'bg-color-7' } }
      - { name: "Zeile: bg-color-8", element: "tr", attributes: { 'class': 'bg-color-8' } }
      - { name: "Zeile: bg-color-9", element: "tr", attributes: { 'class': 'bg-color-9' } }
      - { name: "Zeile: bg-color-10", element: "tr", attributes: { 'class': 'bg-color-10' } }
      - { name: "Zeile: bg-color-11", element: "tr", attributes: { 'class': 'bg-color-11' } }
      - { name: "Zeile: bg-color-12", element: "tr", attributes: { 'class': 'bg-color-12' } }

      # Badges
      - { name: "Badge: color-1", element: "span", attributes: { 'class': 'badge bg-color-1' } }
      - { name: "Badge: color-2", element: "span", attributes: { 'class': 'badge bg-color-2' } }
      - { name: "Badge: color-3", element: "span", attributes: { 'class': 'badge bg-color-3' } }
      - { name: "Badge: color-4", element: "span", attributes: { 'class': 'badge bg-color-4' } }
      - { name: "Badge: color-5", element: "span", attributes: { 'class': 'badge bg-color-5' } }
      - { name: "Badge: color-6", element: "span", attributes: { 'class': 'badge bg-color-6' } }

      # Pill badges
      - { name: "Pill badge: color-1", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-1' } }
      - { name: "Pill badge: color-2", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-2' } }
      - { name: "Pill badge: color-3", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-3' } }
      - { name: "Pill badge: color-4", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-4' } }
      - { name: "Pill badge: color-5", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-5' } }
      - { name: "Pill badge: color-6", element: "span", attributes: { 'class': 'badge rounded-pill bg-color-6' } }


    format_tags: "p;h1;h2;h3;h4;h5;h6;pre;div"

    toolbarGroups:
      - { name: clipboard, groups: [ clipboard, undo ] }
      - { name: editing,   groups: [ find, selection, spellchecker ] }
      - { name: links }
      - { name: insert}
      - { name: insertcharacters}
      - { name: tools }
      - { name: table }
      - { name: tabletools }
      - { name: document,  groups: [ mode, document, doctools ] }
      - { name: others }
      - "/"
      - { name: basicstyles, groups: [ basicstyles, cleanup ] }
      - { name: paragraph,   groups: [ list, indent, blocks, align, showborders ] }
      - "/"
      - { name: styles }

    justifyClasses:
      - text-start
      - text-center
      - text-end
      - text-justify

    extraPlugins:
      - justify
      - find
      - copyformatting
      - specialchar
      - showblocks

    removePlugins:

    removeButtons:
      - Anchor

    forcePasteAsPlainText: true

# Allow s and u tag
processing:
  allowTags:
    - s
    - u
    - mark
    - dd
    - dl
    - dt

buttons:
  link:
    properties:
      class:
        allowedClasses: 'jumping-link'
